Page MenuHomePhabricator

[libc++][nfc] Test std::unique_ptr self move assignment.
ClosedPublic

Authored by Mordante on Jun 6 2021, 4:49 AM.

Details

Reviewers
ldionne
Group Reviewers
Restricted Project
Commits
rGe7c621a60788: [libc++][nfc] Test std::unique_ptr self move assignment.
Summary

The post-conditions for the self move assignment of std::unique_ptr
were changed. This requires no implementation changes. A test was added
to validate the new post-conditions.

Addresses

  • LWG-3455: Incorrect Postconditions on unique_ptr move assignment

Diff Detail

Event Timeline

Mordante requested review of this revision.Jun 6 2021, 4:49 AM
Mordante created this revision.
Herald added a project: Restricted Project. · View Herald TranscriptJun 6 2021, 4:49 AM
Herald added a reviewer: Restricted Project. · View Herald Transcript
ldionne accepted this revision.Jun 8 2021, 12:58 PM
This revision is now accepted and ready to land.Jun 8 2021, 12:58 PM
Mordante updated this revision to Diff 350923.Jun 9 2021, 9:22 AM

Rebase to make sure CI failures aren't due to this patch.

This revision was automatically updated to reflect the committed changes.